import { defineNuxtModule, createResolver, addPlugin, addImports } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "laravel-reverb-nuxt",
    configKey: "reverbConfig"
  },
  defaults: {},
  setup(options, nuxt) {
    nuxt.options.runtimeConfig.public.reverbConfig = options;
    const { resolve } = createResolver(import.meta.url);
    addPlugin(resolve("./runtime/plugin"));
    addImports({
      name: "reverb",
      as: "reverb",
      from: resolve("runtime/composables")
    });
  }
});

export { module as default };
